Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004803 [JEDI VCL] 00 JVCL Components major always 2009-06-04 21:14 2009-06-06 00:25
Reporter dcabale View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.34
Summary 0004803: JvCheckedItemsForm does not save CheckBox's checks *at design-time*
Description *At design-time*, When you want to add new CheckBox items to the TJvxCheckListBox, then you click on the Items property and a JvCheckedItemsForm (custom property editor) opens with no items.
Now add a new item (button 'New'), set it to 'Checked' and click on the Ok button (twice) to validate the item editor and the JvCheckedItemsForm.
Now you come back to the Delphi IDE and see that the item appears as *UnChecked*
Additional Information As a fix, I propose the attached JvCheckedItemsForm.zip (.pas and .dfm)
Tags No tags attached.
Attached Files zip file icon JvCheckedItemsForm.zip [^] (4,898 bytes) 2009-06-04 21:14

- Relationships

-  Notes
(0015612)
obones (administrator)
2009-06-05 17:16

A diff in TortoiseSVN format would be much appreciated as it makes integration easier.
(0015618)
AHUser (developer)
2009-06-06 00:25

Fixed in SVN.

- Issue History
Date Modified Username Field Change
2009-06-04 21:14 dcabale New Issue
2009-06-04 21:14 dcabale File Added: JvCheckedItemsForm.zip
2009-06-05 17:16 obones Note Added: 0015612
2009-06-05 17:16 obones Status new => feedback
2009-06-06 00:25 AHUser Note Added: 0015618
2009-06-06 00:25 AHUser Status feedback => resolved
2009-06-06 00:25 AHUser Fixed in Version => Daily / SVN
2009-06-06 00:25 AHUser Resolution open => fixed
2009-06-06 00:25 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker